Package tigase.server

## Class Presence

- java.lang.Object
- - tigase.server.Packet
  - - tigase.server.Presence

-     public class Presence
      extends Packet

  Created: Dec 31, 2009 8:42:05 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELEM_NAME` |
    `static java.lang.String[]` | `PRESENCE_ERROR_PATH` |
    `static java.lang.String[]` | `PRESENCE_PRIORITY_PATH` |
    `static java.lang.String[]` | `PRESENCE_SHOW_PATH` |

    - ### Fields inherited from class tigase.server.Packet

      `CLIENT_XMLNS, elem, ERROR_NS, FROM_ATT, FULL_DEBUG, ID_ATT, PERM_ATT, PRIORITY_ATT, TO_ATT, TYPE_ATT, XMLNS_ATT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Presence​(Element elem)` |
    `Presence​(Element elem, JID stanzaFrom, JID stanzaTo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String[]` | `getElNameErrorPath()` | A convenience method to provide XML path as `String[]` to error element.

    - ### Methods inherited from class tigase.server.Packet

      `copyElementOnly, debug, elemToString, elemToStringSecure, errorResult, getAttributeStaticStr, getAttributeStaticStr, getCommand, getElemCData, getElemCDataStaticStr, getElemChild, getElemChild, getElemChildrenStaticStr, getElement, getElemName, getErrorCondition, getFrom, getPacketFrom, getPacketTo, getPermissions, getPriority, getProcessorsIds, getServerAuthorisedStanzaFrom, getSkippedProcessorsIds, getStableId, getStanzaFrom, getStanzaId, getStanzaTo, getTo, getType, getXMLNS, initVars, initVars, isCommand, isElement, isRouted, isServiceDisco, isXMLNSStaticStr, notProcessedBy, okResult, okResult, packetInstance, packetInstance, packetInstance, packRouted, processedBy, setPacketFrom, setPacketTo, setPermissions, setPriority, setServerAuthorisedStanzaFrom, setStableId, setXMLNS, swapFromTo, swapFromTo, swapStanzaFromTo, swapStanzaFromTo, toString, toString, toStringFull, toStringSecure, unpackRouted, wasProcessed, wasProcessedBy, wasSkipped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELEM_NAME

          public static final java.lang.String ELEM_NAME

      See Also:
        Constant Field Values

    - #### PRESENCE_ERROR_PATH

          public static final java.lang.String[] PRESENCE_ERROR_PATH

    - #### PRESENCE_PRIORITY_PATH

          public static final java.lang.String[] PRESENCE_PRIORITY_PATH

    - #### PRESENCE_SHOW_PATH

          public static final java.lang.String[] PRESENCE_SHOW_PATH

  - ### Constructor Detail

    - #### Presence

          public Presence​(Element elem)
                   throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### Presence

          public Presence​(Element elem,
                          JID stanzaFrom,
                          JID stanzaTo)

  - ### Method Detail

    - #### getElNameErrorPath

          protected java.lang.String[] getElNameErrorPath()

      Description copied from class: `Packet`
      A convenience method to provide XML path as `String[]` to error element. This method should be override by all classes extending this class.
      Overrides:
        `getElNameErrorPath` in class `Packet`
      Returns:
        XML path to error element.